using LeedsBeerQuest.API.Data.Contexts;
using LeedsBeerQuest.API.Data.Services;
using LeedsBeerQuest.API.Data.Services.Interfaces;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API;

public static class ServiceDependencies
{
    public static void AddServiceDependencies(this IServiceCollection serviceCollection)
    {
        var dbOptions = new DbContextOptionsBuilder<LeedsBeerQuestDbContext>();
        dbOptions.UseSqlite("Data Source=lbq.db");

        serviceCollection.AddScoped(_ => new LeedsBeerQuestDbContext(dbOptions.Options));
        serviceCollection.AddScoped<IVenueService, VenueService>();
    }
}